Name:           gnome-control-center
Version:        3.38.6
Release:        1
Summary:        GNOME Settings is GNOME's main interface for configuration of various aspects of your desktop.
License:        GPLv2+ and CC-BY-SA
URL:            http://www.gnome.org
Source0:        https://download.gnome.org/sources/gnome-control-center/3.38/%{name}-%{version}.tar.xz

BuildRequires:  chrpath cups-devel desktop-file-utils docbook-style-xsl gettext gcc git libudisks2-devel
BuildRequires:  libxslt meson accountsservice-devel cheese-libs-devel clutter-gtk-devel colord-devel
BuildRequires:  colord-gtk-devel gdk-pixbuf2-devel gtk3-devel glib2-devel pulseaudio-libs-devel
BuildRequires:  gnome-desktop3-devel gnome-settings-daemon-devel gnome-online-accounts-devel
BuildRequires:  grilo-devel gsettings-desktop-schemas-devel gtk3-devel libgudev-devel ibus-devel
BuildRequires:  libcanberra-devel libgtop2-devel NetworkManager-libnm-devel libnma-devel
BuildRequires:  libsecret-devel libsoup-devel libxml2-devel ModemManager-glib-devel polkit-devel
BuildRequires:  libpwquality-devel libsmbclient-devel upower-devel libX11-devel libXi-devel
BuildRequires:  gnome-bluetooth-libs-devel libwacom-devel gdb gsound-devel
BuildRequires:  pkgconfig(libhandy-1)

Requires:       accountsservice alsa-lib bolt colord cups-pk-helper dbus-x11 glx-utils iso-codes
Requires:       nm-connection-editor switcheroo-control /usr/bin/gkbd-keyboard-display
Requires:       gnome-bluetooth >= 1:3.18.2 %{name}-filesystem = %{version}-%{release}
Requires:       upower >= 0.99.6 cheese-libs >= 3.28.0 glib2 >= 2.53.0 gtk3 >= 3.22.20
Requires:       gnome-online-accounts >= 3.25.3 gnome-settings-daemon >= 3.25.90
Requires:       gsettings-desktop-schemas >= 3.27.2 gnome-desktop3 >= 3.27.90

Recommends:     NetworkManager-wifi vino
Provides:       control-center = 1:%{version}-%{release}
Provides:       control-center%{?_isa} = 1:%{version}-%{release}
Obsoletes:      control-center < 1:%{version}-%{release}

Patch1:         0001-online-accounts-Track-the-lifecycle-of-CcGoaPanel-ac.patch
Patch2:         0002-background-Add-queue-to-load-4-pictures-at-a-time.patch

Patch9001:      bugfix-fix_used_passwd_error_capture.patch
Patch9002:      bugfix-gnome-control-center-fix-repetitivewallpapers.patch
Patch9003:      gnome-control-center-change-translation-when-changing-password.patch
Patch9004:      gnome-control-center-remove-country-in-the-name-of-timezone.patch

%description
Gnome-control-center is a graphical user interface to configure
various aspects of GNOME.
The configuration files that are picked up by the control-center
utilities are installed in directories contained by this package

%package filesystem
Summary: Directories for %{name}
BuildArch: noarch
Provides: control-center-filesystem = 1:%{version}-%{release}
Obsoletes: control-center-filesystem < 1:%{version}-%{release}

%description filesystem
The %{name}-filesystem contains directories where applications can
install configuration files that are picked up by the control-center
utilities in this package.

%package_help

%prep
%autosetup -n %{name}-%{version} -p1

%build
%meson -Ddocumentation=true
%meson_build

%install
%meson_install
mkdir -p %{buildroot}%{_datadir}/gnome/wm-properties

%find_lang %{name} --all-name --with-gnome
chrpath --delete %{buildroot}%{_bindir}/gnome-control-center

%files -f %{name}.lang
%license COPYING
%{_bindir}/gnome-control-center
%{_libexecdir}/gnome-control-center-search-provider
%{_libexecdir}/cc-remote-login-helper
%{_libexecdir}/gnome-control-center-print-renderer
%{_datadir}/sounds/gnome/default/alerts/*.ogg
%{_datadir}/polkit-1/actions/*.policy
%{_datadir}/polkit-1/rules.d/gnome-control-center.rules
%{_datadir}/pixmaps/faces/
%{_datadir}/pkgconfig/*.pc
%{_datadir}/icons/hicolor/*
%{_datadir}/metainfo/*.xml
%{_datadir}/gnome-control-center/*
%{_datadir}/gnome-shell/search-providers/*.ini
%{_datadir}/glib-2.0/schemas/*.xml
%{_datadir}/gettext/its/*
%{_datadir}/dbus-1/services/*.service
%{_datadir}/bash-completion/completions/gnome-control-center
%{_datadir}/applications/*.desktop

%files filesystem
%dir %{_datadir}/gnome/wm-properties
%dir %{_datadir}/gnome-control-center/
%dir %{_datadir}/gnome-control-center/keybindings

%files help
%doc NEWS README.md
%{_mandir}/man1/*.gz

%changelog
* Mon May 31 2021 weijin deng <weijin.deng@turbolinux.com.cn> - 3.38.6-1
- Upgrade to 3.38.6
- Update Version, Release, BuildRequires, stage 'files'
- Delete 4 patches, modify the left 6 patches

* Wed Feb 3 2021 yanglu<yanglu60@huawei.com> - 3.30.1-13
- Type:bugfix
- ID:NA
- SUG:NA
- DESC: Adapt to new gnome-desktop API changes

* Fri Sep 11 2020 chengguipeng<chengguipeng1@huawei.com> - 3.30.1-12
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:modify source0 url

* Mon Aug 10 2020 chengguipeng<chengguipeng1@huawei.com> - 3.30.1-11
- Delete BuildRequires libXxf86misc-devel for  that is legacy now.

* Fri Mar 20 2020 openEuler Buildteam<buildteam@openeuler.org> - 3.30.1-10
- add gdb in buildrequires

* Wed Mar 18 2020 openEuler Buildteam<buildteam@openeuler.org> - 3.30.1-9
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix crash when retrieving disk size

* Fri Mar 13 2020 openEuler Buildteam<buildteam@openeuler.org> - 3.30.1-8
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:remove country in the name of timezone

* Mon Dec 30 2019 daiqianwen<daiqianwen@huawei.com> - 3.30.1-7
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:fix old password can not check

* Sat Dec 28 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.30.1-6
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:optimization the spec

* Sat Sep 21 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.30.1-5
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:keep filesystem package

* Sat Aug 31 2019 openEuler Buildteam <buildteam@openeuler.org> - 3.30.1-4
- Type:enhancement
- ID:NA
- SUG:NA
- DESC:add requires

* Thu Aug 22 2019 licunlong <licunlong@huawei.com> - 3.30.1-3.h2
- Type: NA
- ID: NA
- SUG: NA
- DESC: Remove patch prefix.

* Wed Jan 23 2019 gulining<gulining1@huawei.com> - 3.30.1-3.h1
- Type:bugfix
- ID:NA
- SUG:NA
- DESC:gnome control center clickassist fix
	gnome control center fix repetitivewallpapers
	fix used passwd error capture
	gnome control center change translation when changing password
  
* Wed Oct 24 2018 openEuler Buildteam <buildteam@openeuler.org> - 3.30.1-2
- Package Init
